/**
 * 仪器资产信息表相关
 */
import http from '../http'

export default {
  page: data => http.post('/v1/equip_info/page_vo', data).then(res => res),
  getParamListByName: data =>
    http
      .get('/v1/equip_info/searchlike?item=' + data.item + '&name=' + data.name)
      .then(res => res),
  edit: data =>
    http.put('/v1/equip_info/?id=' + data.id, data.obj).then(res => res),
  getById: id => http.get('/v1/equip_info/' + id).then(res => res),
  getVOById: id => http.get('/v1/equip_info/vo/' + id).then(res => res),
  add: data => http.post('/v1/equip_info/', data).then(res => res)
}
